Bug 470179 - (perl-MooseX-App-Cmd) Review Request: perl-MooseX-App-Cmd - Mashes up MooseX::Getopt and App::Cmd
Review Request: perl-MooseX-App-Cmd - Mashes up MooseX::Getopt and App::Cmd
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MooseX-Ap...
:
Depends On: 469627 perl-App-Cmd 470178
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 02:10 EST by Chris Weyl
Modified: 2008-12-07 15:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-07 15:10:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-11-06 02:10:06 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-App-Cmd.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-App-Cmd-0.04-1.fc9.src.rpm

Description:
This module marries the App::Cmd manpage with the MooseX::Getopt manpage.

Use it like the App::Cmd manpage advises (especially see the
App::Cmd::Tutorial manpage), swapping the App::Cmd::Command manpage for the
MooseX::App::Cmd::Command manpage.

Then you can write your moose commands as moose classes, with the
MooseX::Getopt manpage defining the options for you instead of 'opt_spec'
returning a the Getopt::Long::Descriptive manpage spec.
Comment 1 Chris Weyl 2008-11-06 02:16:27 EST
I swear I fixed those "manpage" references in the %description.

Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-App-Cmd.spec
SRPM URL:
http://fedorapeople.org/~cweyl/review/perl-MooseX-App-Cmd-0.04-2.fc9.src.rpm
Comment 2 manuel wolfshant 2008-11-27 23:11:20 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 385e09b2d525502c4edc0eda3a0de24e3f3e2079 MooseX-App-Cmd-0.04.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported architectures.
     Tested on: noarch, perl module
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [!] %check is present and the test passes.
-> see Note 1



Note 1:
The build logs says a test has failed with 
      t/basic.................Can't locate Test/Output.pm in @INC (@INC contains: t/lib /builddir/build/BUILD/MooseX-App-Cmd-0.04/blib/lib /builddir/build/BUILD/MooseX-App-Cmd-0.04/blib/arch /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/local/lib64/perl5/site_perl/5.10.0/x86_64-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/local/lib/perl5/site_perl /usr/local/lib64/perl5/site_perl) at t/basic.t line 81.

 Please add perl(Test::Output) as BuildRequires to fix that. I have just checked locally and make test is happy after that.



================
*** APPROVED *** but fix the missing BR before commit
================
Comment 3 Chris Weyl 2008-11-28 14:32:39 EST
(In reply to comment #2)
>
>  Please add perl(Test::Output) as BuildRequires to fix that. I have just
> checked locally and make test is happy after that. 
> 
> ================
> *** APPROVED *** but fix the missing BR before commit
> ================

Will do.  Thanks for the review! :-)
Comment 4 Chris Weyl 2008-11-28 14:32:49 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-App-Cmd
Short Description: Mashes up MooseX::Getopt and App::Cmd
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2008-12-01 16:24:21 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.